lp:ubuntu/vivid/loadlin

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/vivid/loadlin
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

12. By Samuel Thibault <email address hidden>

control: Build-depend on libc6-dev-i386 on amd64 only.

11. By Samuel Thibault <email address hidden>

* debian/rules: Set BYHAND back to no.
* debian/control: Build-depend on libc6-dev-i386 to get the 32bit version of
  bits/predefs.h on amd64 (Closes: #713676)

10. By Samuel Thibault <email address hidden>

* New upstream release. Fixes booting the Wheezy kernels.
* debian/rules:
  - Set BYHAND to yes, as we need a new loadlin.exe uploaded to mirrors to
  be able to boot the Wheezy kernels.
* debian/patches/cppcheck: Drop, merged upstream.

9. By Samuel Thibault <email address hidden>

* debian/rules:
  - Set BYHAND to no.
  - Add proper build-arch target (Closes: #666299)
* doc/manual.txt: Fix typo (Closes: #613635)
* Bump Standards-Version to 3.9.3 (no change needed)
* debian/control: Fix description.
* debian/patches/cppcheck: Add patch to address cppcheck warnings.

8. By Samuel Thibault <email address hidden>

New upstream release. Fixes VCPI support and loading >8MB kernel+initrd on
machines with 16MiB INT15 memory. (Closes: Bug#588530)
* debian/rules: Add refresh rule.
* debian/control: Add Vcs-Hg field.
* debian/control: Bump Standards-Version to 3.9.1 (no change needed).
* debian/patches/99-yasm.patch: Update.
* debian/rules: Set BYHAND to yes to upload new loadlin binary into
  ftp://ftp.debian.org/debian/tools/

7. By Samuel Thibault <email address hidden>

* debian/source/format: Switch to 3.0 (quilt).
* debian/rules:
  - Remove inclusion of /usr/share/quilt/quilt.make
* debian/control:
  - Add Multi-Arch: foreign header.
  - Bump Standards-Version to 3.8.3 (no change needed).
  - Remove quilt build-dependency.

6. By Samuel Thibault <email address hidden>

* New upstream release
  - debian/rules: No need to unpack srclinux and initrd by hand any more.
  - debian/patches/10-setupfix.patch: Remove patch, merged upstream
  - debian/patches/20-dynamic.patch: Remove patch, merged upstream
  - debian/patches/30-yasm.patch: Rename to 99-yasm.patch, fix version number.
  - debian/patch-srclinux: Remove patch, merged upstream.
  - debian/control: Add Homepage field.
  - debian/copyright: Add new maintainer homepage, address and copyright.
  - debian/loadlin.docs: Follow readme.1st -> README.1ST rename.
  - debian/loadlin.install: ramdisk is now built in place.
* debian/control:
  - Change my email, remove DM-Upload-Allowed.
  - Bump Standards-Version to 3.8.2 (no change needed).
  - Set debhelper dependency to >= 5.
  - Add misc:Depends to loadlin's Depends.
* debian/rules: use ytasm instead of tasm (Closes: Bug#536872)
  - debian/control: bump Build-Depend to >= 0.8.
  - New variable BYHAND to control byhand upload.

5. By Samuel thibault

Instead of the .zip file, install byhand the .exe and the manual to tools/.

4. By Samuel thibault

* New maintainer. (closes: #487338)
* Remove loadlin.exe and src/pgadjust.asm binary blobs.
* Refactor debian/rules. (closes: #437484)
* Add build-dependency on debhelper, cdbs and quilt
* patches/10-setupfix.patch: New patch to extend max number of setup sectors
to 40 to fix booting C setup.
* patches/20-dynamic.patch and patch-srclinux: New patches to load pgadjust
table in high memory too. (closes: #469533)
* patches/30-yasm.patch: New patch to build loadlin.exe with yasm.
(closes: #356055)
* Add build-dependency on yasm (>= 0.7.0-2) for its TASM support.
* debian/copyright: Add copyright information.
* debian/control:
  + Set policy to 3.8.0.
  + Set DM-Upload-Allowed to yes.

3. By Vincent Danjean

* Non-maintainer upload (allowed by the maintainer, see #338318)
* No source change. Add a call to dpkg-distaddfile so that the
  zip file in debian/tools/ will be updated (Closes: #338318)
  Based on the patch prepared by Samuel Thibault
* Update Standards-Version to 3.7.2 (no change needed)
* urgency=high as we need a new version of loadlin.zip in the
  tools/ directory of debian servers before the release.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/wily/loadlin
This branch contains Public information 
Everyone can see this information.

Subscribers